Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.java.recycle.pool
Class WorkerPool

    java.lang.Object
      |
      +--java.lang.ThreadGroup
            |
            +--org.apache.java.recycle.pool.WorkerPool

public class WorkerPool
extends java.lang.ThreadGroup

This class is the public frontend for the thread pool code.

Version:
  $Revision: 1.3 $ $Date: 1999/06/24 00:50:53 $

Field Summary
`static boolean` | `DEBUG`
`(package private) RecycleBin` | `pool`
`static boolean` | `QUICK_DEBUG`

Fields inherited from class java.lang.ThreadGroup
`daemon, destroyed, groups, maxPriority, name, ngroups, nthreads, parent, threads, vmAllowSuspension`

Constructor Summary
`WorkerPool(int capacity)`
`WorkerPool(int capacity, java.lang.String controller)`

Method Summary
`void` | `execute(Stoppable work)`

Methods inherited from class java.lang.ThreadGroup
`activeCount, activeGroupCount, add, add, allowThreadSuspension, checkAccess, destroy, enumerate, enumerate, enumerate, enumerate, enumerate, enumerate, getMaxPriority, getName, getParent, interrupt, isDaemon, isDestroyed, list, list, parentOf, remove, remove, resume, setDaemon, setMaxPriority, stop, suspend, toString, uncaughtException`

Methods inherited from class java.lang.Object
`, clone, equals, finalize, getClass, hashCode, notify, notifyAll, registerNatives, wait, wait, wait`

Field Detail

### DEBUG

    public static final boolean DEBUG

### QUICK_DEBUG

    public static final boolean QUICK_DEBUG

### pool

    RecycleBin pool

Constructor Detail

### WorkerPool

    public WorkerPool(int capacity)

### WorkerPool

    public WorkerPool(int capacity,
                      java.lang.String controller)

Method Detail

### execute

    public void execute(Stoppable work)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD